<solidify-empty-container (keydown.escape)="isEdit ? backToDetail() : backToList()"
                          [solidifyFocusFirstElement]="true"
>
  <solidify-button-toolbar-detail [currentModel]="currentObs | async"
                                  [formPresentational]="formPresentational"
                                  [mode]="isEdit ? 'edit' : 'detail'"
                                  [editAvailable]="editAvailable"
                                  [deleteAvailable]="deleteAvailable"
                                  [backToListNavigate]="backToListNavigate()"
                                  (backToDetailChange)="backToDetail()"
                                  (deleteChange)="delete()"
                                  (editChange)="edit()"
  >
  </solidify-button-toolbar-detail>

  <div [solidifySpinner]="isLoadingWithDependencyObs | async"
       class="wrapper"
  >
    <dlcm-admin-archive-type-form #formPresentational
                                  *ngIf="isReadyToBeDisplayedObs | async"
                                  [model]="currentObs | async"
                                  [readonly]="!isEdit"
                                  [editAvailable]="editAvailable"
                                  [listMasterTypes]="listMasterTypesObs | async"
                                  [listMasterTypesName]="listMasterTypesNamesObs | async"
                                  (dirtyChange)="updateCanDeactivate($event)"
                                  (editChange)="edit()"
                                  (submitChange)="update($event)"
    ></dlcm-admin-archive-type-form>
  </div>
</solidify-empty-container>


